Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class ContentSpecificationType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.ConsultContentSpecificationType
          be.fgov.ehealth.ehbox.core.v2.ContentSpecificationType

All Implemented Interfaces:
  Serializable

    public class ContentSpecificationType

extends ConsultContentSpecificationType
implements Serializable

ContentSpecification for publication

Java class for ContentSpecificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentSpecificationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:ehbox:core:v2}ConsultContentSpecificationType">
           <sequence>
             <element name="PublicationReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReceivedReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="ReadReceipt" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContentSpecificationType()`

Method Summary
`boolean` | `isPublicationReceipt()` Gets the value of the publicationReceipt property.
`boolean` | `isReadReceipt()` Gets the value of the readReceipt property.
`boolean` | `isReceivedReceipt()` Gets the value of the receivedReceipt property.
`void` | `setPublicationReceipt(boolean value)` Sets the value of the publicationReceipt property.
`void` | `setReadReceipt(boolean value)` Sets the value of the readReceipt property.
`void` | `setReceivedReceipt(boolean value)` Sets the value of the receivedReceipt property.

Methods inherited from class be.fgov.ehealth.ehbox.core.v2.ConsultContentSpecificationType
`getApplicationName, isIsEncrypted, isIsImportant, setApplicationName, setIsEncrypted, setIsImportant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentSpecificationType

    public ContentSpecificationType()

Method Detail

### isPublicationReceipt

    public boolean isPublicationReceipt()

  Gets the value of the publicationReceipt property.

### setPublicationReceipt

    public void setPublicationReceipt(boolean value)

  Sets the value of the publicationReceipt property.

### isReceivedReceipt

    public boolean isReceivedReceipt()

  Gets the value of the receivedReceipt property.

### setReceivedReceipt

    public void setReceivedReceipt(boolean value)

  Sets the value of the receivedReceipt property.

### isReadReceipt

    public boolean isReadReceipt()

  Gets the value of the readReceipt property.

### setReadReceipt

    public void setReadReceipt(boolean value)

  Sets the value of the readReceipt property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.